# Copyright 2016 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

AUTHOR = "ChromeOS Team"
NAME = "infra_FirmwareAutoupdate"
TIME = "SHORT"
TEST_TYPE = "server"
PY_VERSION = 3

DOC = """
This is an administrative procedure used to update the RW firmware
on a test device in the lab by running the following command:

    chromeos-firmwareupdate --mode=autoupdate
"""

def run(machine):
    job.run_test('infra_FirmwareAutoupdate',
                 host=hosts.create_host(machine))

parallel_simple(run, machines)
